Permalink
Browse files

apacheHttpd: fix CVE-2017-9798 (Optionsbleed)

  • Loading branch information...
fpletz committed Sep 18, 2017
1 parent 2f9cb45 commit c9d11b8a1d8d1f3bff230027496e90d0fb963d8b
Showing with 11 additions and 1 deletion.
  1. +11 −1 pkgs/servers/http/apache-httpd/2.4.nix
@@ -5,6 +5,7 @@
, ldapSupport ? true, openldap
, libxml2Support ? true, libxml2
, luaSupport ? false, lua5
, fetchpatch
}:

let optional = stdenv.lib.optional;
@@ -35,10 +36,19 @@ stdenv.mkDerivation rec {
optional http2Support nghttp2 ++
optional stdenv.isDarwin libiconv;

patchPhase = ''
prePatch = ''
sed -i config.layout -e "s|installbuilddir:.*|installbuilddir: $dev/share/build|"
'';

patches = [
(fetchpatch {
name = "CVE-2017-9798.patch";
url = "https://svn.apache.org/viewvc/httpd/httpd/branches/2.4.x/server/core.c?r1=1805223&r2=1807754&pathrev=1807754&view=patch";
sha256 = "00hbq5szgav91kwsc30jdjvgd3vbgm8n198yna8bcs33p434v25k";
stripLen = 3;
})
];

# Required for ‘pthread_cancel’.
NIX_LDFLAGS = stdenv.lib.optionalString (!stdenv.isDarwin) "-lgcc_s";

0 comments on commit c9d11b8

Please sign in to comment.